Page MenuHomePhabricator

Takedown tool should use UTC everywhere (including datepicker)
Closed, ResolvedPublic2 Story Points

Description

The datepicker currently selects -1 of the date selected (If you tap June 14th it selects June 13th etc) and is not the biggest problem since we can work around it (by selecting the next day). This occurs in all date selector spots from what I can tell (have tried for both DMCA notices and Child Protection takedowns.

A fix would be to have the entire tool always work in UTC.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 20 2018, 11:11 PM
Restricted Application added a subscriber: MGChecker. · View Herald TranscriptJun 20 2018, 11:12 PM
Jalexander triaged this task as Normal priority.Jun 21 2018, 2:00 AM
jrbs added a subscriber: jrbs.Jun 21 2018, 4:04 PM

Is the back end using UTC, maybe? If you were doing this after 00:00 UTC it might be confused. Just a hypothesis.

Is the back end using UTC, maybe? If you were doing this after 00:00 UTC it might be confused. Just a hypothesis.

I think you're on to something. :)

jrbs added a comment.Jun 21 2018, 5:07 PM

Is the back end using UTC, maybe? If you were doing this after 00:00 UTC it might be confused. Just a hypothesis.

I think you're on to something. :)

FWIW it would be ideal if the tool still used UTC since all dates / times from the sites use UTC. Trying to mentally work that out into local time would be very confusing :)

Is the back end using UTC, maybe? If you were doing this after 00:00 UTC it might be confused. Just a hypothesis.

I think you're on to something. :)

FWIW it would be ideal if the tool still used UTC since all dates / times from the sites use UTC. Trying to mentally work that out into local time would be very confusing :)

Yeah, the tool asks for local time in a number of spots (for example when asking you to put in the date/time for a CP image upload) and while obviously we can work that out it's much easier/less error prone to use UTC because all of the systems we "get" the time from (on wiki etc) use UTC. I'll file a different normal bug for that part though.

TBolliger renamed this task from Takedown tool datepicker selects day-1 from what was picked to Takedown tool should use UTC everywhere (including datepicker).Jun 21 2018, 5:28 PM
TBolliger updated the task description. (Show Details)
Vvjjkkii renamed this task from Takedown tool should use UTC everywhere (including datepicker) to vjaaaaaaaa.Jul 1 2018, 1:02 AM
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from vjaaaaaaaa to Takedown tool should use UTC everywhere (including datepicker).Jul 2 2018, 11:27 AM
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
TBolliger set the point value for this task to 2.Aug 10 2018, 6:14 PM

@Jalexander & @jrbs

What timezone should https://foundation.wikimedia.org/wiki/Template:DMCA_email be in? UTC? or should it remain in west coast timezone?

jrbs added a comment.Aug 16 2018, 7:52 AM

@Jalexander & @jrbs
What timezone should https://foundation.wikimedia.org/wiki/Template:DMCA_email be in? UTC? or should it remain in west coast timezone?

Ideally UTC, I think.

dbarratt closed this task as Resolved.Aug 16 2018, 8:45 PM
dbarratt moved this task from Review to Done on the Anti-Harassment (AHT Sprint 27) board.